/*
 * MPC85xx generic code.
 *
 * Maintained by Kumar Gala (see MAINTAINERS for contact information)
 *
 * Copyright 2005 Freescale Semiconductor Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */
#include <linux/irq.h>
#include <linux/module.h>
#include <asm/irq.h>
#include <asm/io.h>
#include <sysdev/fsl_soc.h>

extern void abort(void);

static __be32 __iomem *restart_reg_base;

static int __init mpc85xx_restart_init(void)
{
	u32 pvr = mfspr(SPRN_PVR);

	if ((pvr >> 16) & 0x1) {
		/* map reset register space */
		restart_reg_base = ioremap(get_immrbase() + 0xE00B0, 0x100);
	}

	return 0;
}

arch_initcall(mpc85xx_restart_init);

void mpc85xx_restart(char *cmd)
{
	if (restart_reg_base)
		out_be32(restart_reg_base, 0x2);
	local_irq_disable();
	abort();
}
